%define name Ri-li
%define version 2.0.1
%define release %mkrel 3
%define summary A wooden toy engine game

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://surfnet.dl.sourceforge.net/sourceforge/ri-li/%{name}-%{version}.tar.bz2
License: GPL
Group: Games/Arcade
URL: http://www.ri-li.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch0:		ri-li-audio.patch
Patch1:		ri-li-ecran.patch
Patch2:		ri-li-editeur.patch
Patch3:		ri-li-jeux.patch
Patch4:		ri-li-loco.patch
Patch5:		ri-li-menu.patch
Patch6:		ri-li-mouse.patch
Patch7:		ri-li-sprite.patch
Patch8:		ri-li-tableau.patch
Patch9:		ri-li-utils.patch
Patch10:	ri-li-main.patch
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	libSDL1.2_0 >= 1.2.14


%description
You drive a toy wood engine in many levels and you must collect all the coaches to win.
Full-featured, 19 languages: Arabic, Breton, Chinese, English, Esperanto, French,
German, Italian, Japanese, Korean, Portuguese, Russian, Slovak, Spanish, Swedish,
Polish, Turkish, Hungarian, Dutch.
Colorful animated wood engine, 50 levels and 3  beautiful musics and many sound effects. 

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10


%build
aclocal
automake
autoconf
%configure2_5x --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 

#mkdir -p $RPM_BUILD_ROOT/%{_menudir}
#cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
#?package(%{name}):command="/usr/bin/Ri_li" icon="%{name}.png" \
#  needs="X11" section="Amusement/Arcade" title="Ri-li" \
#  longtitle="%{summary}"
#EOF

install -d $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
install -m 644 data/Ri-li-icon-16x16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 data/Ri-li-icon-32x32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 data/Ri-li-icon-48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=Ri-li
Comment=Ri-li arcade game
Exec=%{_bindir}/Ri_li
Icon=%{name} 
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS NEWS
%{_bindir}/Ri_li
%{_datadir}/%{name}/levels.dat
%{_datadir}/%{name}/COPYING.Music
%{_datadir}/%{name}/sprites.dat
%{_datadir}/%{name}/language.*
%{_datadir}/%{name}/Ri-li-icon-*.png
%{_datadir}/%{name}/*.ico
%{_datadir}/%{name}/Sounds/*
%{_datadir}/%{name}/*.ebuild
#%{_menudir}/%{name}
%{_iconsdir}/%{name}*.png
%{_miconsdir}/%{name}*.png
%{_liconsdir}/%{name}*.png
%{_datadir}/applications/*

%changelog
* Mon May 17 2010 MBantz <martin dot bantz at gmail dot com> 2.0.1-2
- Rebuilt and fixed old code

* Fri Feb 1 2008 P. K. Frederic <pkfric@yahoo.com> 2.0.1-1pclos2007
- first RPM for PCLinuxOS

* Mon Nov 1 2007 Dominique Roux-Serret <roux-serret@ifrance.com> 2.0.1-1
- Licence upgrade to 'GNU GPL Vesion 2 OR Version 3'.
- New Korean language.
- Russian correction language.
- Hungarian correction language.
- You can drive the train with the mouse button.
- That player who complete the final level be awarded 100 points for each remaining life.
